<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
<body>
    <nav class="navbar navbar-expand navbar-light bg-light">
        <div class="col-sm-8">
            <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
        </div>
        <div class="col-sm-4" sec:authorize="isAuthenticated()">
            <div class="row float-right">
                <a class="navbar-brand" th:href="@{'/users/' + ${user.id}}">Profile</a>
                <form th:action="@{/logout}" method="post">
                    <input class="btn btn-primary" type="submit" value="Logout" />
                </form>
            </div>
        </div>
    </nav>
    <div class="container">
        <table class="table">
            <tr th:each="user, iStat : ${userPage.content}">
                <td th:text="${user.id}"></td>
                <td th:text="${user.username}"></td>
                <td th:text="${user.mail}"></td>
                <td><a th:href="@{users/{id}/edit(id=${user.id})}">Edit</a></td>
                <td><a th:href="@{users/{id}/password(id=${user.id})}">Change Password</a></td>
                <td><a th:href="@{users/{id}/delete(id=${user.id})}">Delete</a></td>
                <td><a th:href="@{users/{id}(id=${user.id})}">Details</a></td>
            </tr>
        </table>
        <nav>
            <ul class="pagination">
                <li class="page-item" th:if="${userPage.totalPages > 0}" th:each="pageNumber : ${pageNumbers}">
                    <a class="page-link" th:href="@{/users(size=${userPage.size}, page=${pageNumber})}" th:text="${pageNumber}"></a>
                </li>
            </ul>
        </nav>
    </div>
</body>
</html>